LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDDELinks Interface Referencepublished

provides a method to add a DDE link to a spreadsheet. More...

`import"XDDELinks.idl";`

Inheritance diagram for XDDELinks:

## Public Member Functions
com::sun::star::sheet::XDDELink | addDDELink ([in] string aApplication, [in] string aTopic, [in] string aItem, [in] com::sun::star::sheet::DDELinkMode nMode)
| adds a DDE link to the spreadsheet without updating it. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a method to add a DDE link to a spreadsheet.

See also
  com::sun::star::sheet::DDELinks

Since
  OOo 3.0

## Member Function Documentation

## ◆ addDDELink()

com::sun::star::sheet::XDDELink addDDELink | ( | [in] string | aApplication,
|  | [in] string | aTopic,
|  | [in] string | aItem,
|  | [in] com::sun::star::sheet::DDELinkMode | nMode
| ) |  |

adds a DDE link to the spreadsheet without updating it.

If a DDE link with the specified parameters already exists, the existing DDE link will be returned. Otherwise a new DDE link will be created.

Parameters

  aApplication | the DDE server application from which data are requested.
  aTopic | the DDE topic from which data are requested.
  aItem | the DDE item from which data are requested.
  nMode | the DDE link mode.

Returns
  the DDE link.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDDELinks.idl